# JSON-for-Haskell
A JSON implementation for haskell

```haskell
module Main(
    main
) where
import Data.Json


main :: IO ()
main = do
    print $ fromArray [fromInt 3, fromInt 5, fromStr "Haha"]
    putStrLn $ encode True $ fromProps ["field1" =: fromInt 5, "field2" =: fromReal 3.5]
    putStrLn $ encode False $ fromProps ["condensed JSON data" =: fromBool True]
    print $ decode "{\"hello\": [\"world\"], \"nested\": {\"nested\": true}}"
    return ()
```
